Last Comment Bug 659718 - OS X mobile nightly fails during optimizejars.py
: OS X mobile nightly fails during optimizejars.py
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla6
Assigned To: Michael Wu [:mwu]
:
: Gregory Szorc [:gps]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-25 11:59 PDT by Mark Finkle (:mfinkle) (use needinfo?)
Modified: 2011-07-14 22:29 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
6+


Attachments
Fix path on regular jar packaging case on OSX (588 bytes, patch)
2011-05-26 13:43 PDT, Michael Wu [:mwu]
khuey: review+
jpr: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Mark Finkle (:mfinkle) (use needinfo?) 2011-05-25 11:59:32 PDT
IOError: [Errno 2] No such file or directory: '../../dist/fennec/chrome/chrome.jar'
make[2]: *** [stage-package] Error 1
make[1]: *** [default] Error 2
make: *** [package] Error 2

Seems to be happening on nightly and aurora
Comment 1 Matt Brubeck (:mbrubeck) 2011-05-25 12:26:11 PDT
This regressed between the 5/23 nightly build and the 5/24 nightly build.  Regression range:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=0f9347d40121&tochange=bb5904c365a2
Comment 2 Michael Wu [:mwu] 2011-05-26 13:43:08 PDT
Created attachment 535462 [details] [diff] [review]
Fix path on regular jar packaging case on OSX

This was always broken, but recent changes in bug 600241 made the brokenness actually matter on jar packaged builds.
Comment 3 Daniel Glazman (:glazou) 2011-05-31 06:20:36 PDT
The proposed patch fixes BlueGriffon's universal build on Mac OS X that
failed during postflight_all because of optimizejars.py.
Thanks mwu !!!
Comment 4 Michael Wu [:mwu] 2011-05-31 13:56:43 PDT
http://hg.mozilla.org/mozilla-central/rev/941ceabc5417

Note You need to log in before you can comment on or make changes to this bug.